CW
POST/app-api/v1/ebooks/classes/{classId}/reports

Submit class report, rating, or watch time

Parameters

NameInRequiredDescription
classIdpathYes
x-request-idheaderNoOptional correlation id. Generated when omitted.

Request Body

EbookClassReportDtoobject
typestring
ratenumber

0–5 stars (type=rate)

reportstring

Issue text (type=report)

marknumber

0 | 1 (type=mark_complete)

wtimenumber

Watched seconds (type=watch_time)

Required: type

Related Schemas

EbookClassReportDto
typestring
ratenumber

0–5 stars (type=rate)

reportstring

Issue text (type=report)

marknumber

0 | 1 (type=mark_complete)

wtimenumber

Watched seconds (type=watch_time)

Required: type

Code samples

Generated from the current environment and the request configured in the Try-it panel.

curl -X POST 'https://app-api.crwilladmin.com/app-api/v1/ebooks/classes/{classId}/reports' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'apptype: android' \
  -H 'appver: 1.0.0' \
  -H 'webver: 1.0.0' \
  -H 'portalver: 1.0.0' \
  -H 'x-request-id: 00000000-0000-4000-8000-000000000000' \
  -d '{
  "type": "rate"
}' \